<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
		PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
		"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hr.repository.jpa.IpTokenInterfaceRepository">


    <select id="queryList" resultType="com.hr.repository.domain.IpTokenInterfacePO">
        select * from ip_token_interface where 1=1 and aid = :aid and status in(:statusList) order by id desc
    </select>
    <select id="queryRefList" resultType="com.hr.repository.domain.IpTokenInterfacePO">
        select * from ip_token_interface where 1=1 and aid = :accountId and iid = :interfaceId and status != 'delete'
    </select>
    <select id="getByAidAndIid" resultType="com.hr.repository.domain.IpTokenInterfacePO">
        select * from ip_token_interface where 1=1 and aid = :accountId and iid = :interfaceId and status != 'delete'
    </select>
</mapper>